/** 4.9 Lauflicht, Geschwindigkeit mittels Poti regeln. Ein-/Ausschalten mittels Taste
*/
#include "mbed.h"

DigitalIn b1( PTC9, PullUp );
DigitalIn b2( PTC0, PullUp );

DigitalOut led1( D10 );
DigitalOut led2( D11 );
DigitalOut led3( D12 );
DigitalOut led4( D13 );

AnalogIn poti ( A0 );

int on = 0;     // On/Off Merker

int main()
{
    while (true) 
    {
        // On / Off Buttons
        if  ( b1 == 0 )
            on = 1;
        if  ( b2 == 0 )
            on = 0;

        // LED
        if  ( on ) 
        {
            // ab hier werden die Buttons nicht beruecksichtigt
            // bis die for Schlaufe abgearbeitet ist!!!
            for ( int i = 0; i < 5; i++ ) 
            {
                switch  ( i ) 
                {
                    case   0:
                        led1 = led2 = led3 = led4 = 0;
                        break;
                    case   1:
                        led1 = 1;
                        break;
                    case   2:
                        led1 = 0;
                        led2 = 1;
                        break;
                    case 3:
                        led2 = 0;
                        led3 = 1;
                        break;
                    case 4:
                        led3 = 0;
                        led4 = 1;
                        break;
                }
                wait( poti );
            }
        }
        else
            led1 = led2 = led3 = led4 = 0;
        wait( 0.2 );    // ohne wait laesst sich das Board nicht neu programmieren!   
    }
}